API explorerInteractions
Cancel a pending prompt created by this token
POST /api/agent/interactions/{id}/cancel. Required scopes: interactions:create.
Loading API reference…
Required scopes: interactions:create
bearer interactions:createAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: interactions:create
id*stringSuccess
application/jsoninteraction*curl -X POST 'https://example.com/api/agent/interactions/string/cancel'{ "interaction": { "id": "string", "title": "string", "prompt": "string", "kind": "approval", "presentation": "notification", "status": "pending", "choices": [ "string" ], "response": "string", "imageUrl": "string", "url": "string", "actionDigest": "string", "primaryLabel": "string", "secondaryLabel": "string", "accepted": 0, "respondingDeviceId": "string", "respondingUserId": "string", "expiresAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "respondedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z" }}